// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/worker/fetcher (interfaces: Fetcher)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	channel "github.com/xescugc/smf/interops/channel"
	post "github.com/xescugc/smf/interops/post"
	reflect "reflect"
)

// Fetcher is a mock of Fetcher interface
type Fetcher struct {
	ctrl     *gomock.Controller
	recorder *FetcherMockRecorder
}

// FetcherMockRecorder is the mock recorder for Fetcher
type FetcherMockRecorder struct {
	mock *Fetcher
}

// NewFetcher creates a new mock instance
func NewFetcher(ctrl *gomock.Controller) *Fetcher {
	mock := &Fetcher{ctrl: ctrl}
	mock.recorder = &FetcherMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *Fetcher) EXPECT() *FetcherMockRecorder {
	return m.recorder
}

// Channel mocks base method
func (m *Fetcher) Channel(arg0 context.Context, arg1 channel.Channel) (*channel.Channel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Channel", arg0, arg1)
	ret0, _ := ret[0].(*channel.Channel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Channel indicates an expected call of Channel
func (mr *FetcherMockRecorder) Channel(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Channel", reflect.TypeOf((*Fetcher)(nil).Channel), arg0, arg1)
}

// Posts mocks base method
func (m *Fetcher) Posts(arg0 context.Context, arg1 channel.Channel) ([]*post.Post, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Posts", arg0, arg1)
	ret0, _ := ret[0].([]*post.Post)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Posts indicates an expected call of Posts
func (mr *FetcherMockRecorder) Posts(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Posts", reflect.TypeOf((*Fetcher)(nil).Posts), arg0, arg1)
}

// Type mocks base method
func (m *Fetcher) Type() channel.Type {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Type")
	ret0, _ := ret[0].(channel.Type)
	return ret0
}

// Type indicates an expected call of Type
func (mr *FetcherMockRecorder) Type() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Type", reflect.TypeOf((*Fetcher)(nil).Type))
}
